DriveInfo (JSmooth JNI API)

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jsmooth
Class DriveInfo

    java.lang.Object
      jsmooth.DriveInfo

    public class DriveInfo

extends java.lang.Object

Field Summary
`static int` | `DRIVE_CDROM`
`static int` | `DRIVE_FIXED`
`static int` | `DRIVE_NO_ROOT_DIR`
`static int` | `DRIVE_RAMDISK`
`static int` | `DRIVE_REMOTE`
`static int` | `DRIVE_REMOVABLE`
`static int` | `DRIVE_UNKNOWN`
`static int` | `FILE_CASE_PRESERVED_NAMES`
`static int` | `FILE_CASE_SENSITIVE_SEARCH`
`static int` | `FILE_FILE_COMPRESSION`
`static int` | `FILE_NAMED_STREAMS`
`static int` | `FILE_PERSISTENT_ACLS`
`static int` | `FILE_READ_ONLY_VOLUME`
`static int` | `FILE_SUPPORTS_ENCRYPTION`
`static int` | `FILE_SUPPORTS_OBJECT_IDS`
`static int` | `FILE_SUPPORTS_REMOTE_STORAGE`
`static int` | `FILE_SUPPORTS_REPARSE_POINTS`
`static int` | `FILE_SUPPORTS_SPARSE_FILES`
`static int` | `FILE_UNICODE_ON_DISK`
`static int` | `FILE_VOLUME_IS_COMPRESSED`
`static int` | `FILE_VOLUME_QUOTAS`

Constructor Summary
`DriveInfo()`

Method Summary
`int` | `getDriveType()` Return the drive type as one of the DRIVE_* constants.
`java.lang.String` | `getFileSystemName()` The name of the filesystem installed on this drive
`long` | `getFreeSpace()` Return the total free space of the volume in bytes
`long` | `getFreeSpaceForUser()` Return the free space of the volume available to the user.
`int` | `getMaximumComponentSize()` The maximum size supported by the file system for a single component (directory or filename).
`int` | `getSerialNumber()` Return the serial number of the volume, as allocated by the system during the formatting of the volume.
`int` | `getSystemFlags()` Return a combination of system flags supported by the filesystem.
`long` | `getTotalSpace()` Return the total space of the volume, including the free and allocated space.
`java.lang.String` | `getVolumeName()` If a name has been defined for the volume represented by this object, it is returned.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DRIVE_REMOVABLE

    public static final int DRIVE_REMOVABLE

See Also:
  Constant Field Values

### DRIVE_FIXED

    public static final int DRIVE_FIXED

See Also:
  Constant Field Values

### DRIVE_REMOTE

    public static final int DRIVE_REMOTE

See Also:
  Constant Field Values

### DRIVE_CDROM

    public static final int DRIVE_CDROM

See Also:
  Constant Field Values

### DRIVE_RAMDISK

    public static final int DRIVE_RAMDISK

See Also:
  Constant Field Values

### DRIVE_UNKNOWN

    public static final int DRIVE_UNKNOWN

See Also:
  Constant Field Values

### DRIVE_NO_ROOT_DIR

    public static final int DRIVE_NO_ROOT_DIR

See Also:
  Constant Field Values

### FILE_CASE_SENSITIVE_SEARCH

    public static final int FILE_CASE_SENSITIVE_SEARCH

See Also:
  Constant Field Values

### FILE_CASE_PRESERVED_NAMES

    public static final int FILE_CASE_PRESERVED_NAMES

See Also:
  Constant Field Values

### FILE_UNICODE_ON_DISK

    public static final int FILE_UNICODE_ON_DISK

See Also:
  Constant Field Values

### FILE_PERSISTENT_ACLS

    public static final int FILE_PERSISTENT_ACLS

See Also:
  Constant Field Values

### FILE_FILE_COMPRESSION

    public static final int FILE_FILE_COMPRESSION

See Also:
  Constant Field Values

### FILE_VOLUME_QUOTAS

    public static final int FILE_VOLUME_QUOTAS

See Also:
  Constant Field Values

### FILE_SUPPORTS_SPARSE_FILES

    public static final int FILE_SUPPORTS_SPARSE_FILES

See Also:
  Constant Field Values

### FILE_SUPPORTS_REPARSE_POINTS

    public static final int FILE_SUPPORTS_REPARSE_POINTS

See Also:
  Constant Field Values

### FILE_SUPPORTS_REMOTE_STORAGE

    public static final int FILE_SUPPORTS_REMOTE_STORAGE

See Also:
  Constant Field Values

### FILE_VOLUME_IS_COMPRESSED

    public static final int FILE_VOLUME_IS_COMPRESSED

See Also:
  Constant Field Values

### FILE_SUPPORTS_OBJECT_IDS

    public static final int FILE_SUPPORTS_OBJECT_IDS

See Also:
  Constant Field Values

### FILE_SUPPORTS_ENCRYPTION

    public static final int FILE_SUPPORTS_ENCRYPTION

See Also:
  Constant Field Values

### FILE_NAMED_STREAMS

    public static final int FILE_NAMED_STREAMS

See Also:
  Constant Field Values

### FILE_READ_ONLY_VOLUME

    public static final int FILE_READ_ONLY_VOLUME

See Also:
  Constant Field Values

Constructor Detail

### DriveInfo

    public DriveInfo()

Method Detail

### getDriveType

    public int getDriveType()

  Return the drive type as one of the DRIVE_* constants.

  Returns:
    one of the DRIVE_* constants

### getFreeSpace

    public long getFreeSpace()

  Return the total free space of the volume in bytes

  Returns:
    free space in bytes

### getFreeSpaceForUser

    public long getFreeSpaceForUser()

  Return the free space of the volume available to the user. This value can be different from getFreeSpace() when the filesystem implements quotas.

  Returns:
    free space for the user, in bytes

### getTotalSpace

    public long getTotalSpace()

  Return the total space of the volume, including the free and allocated space.

  Returns:
    total space of the volume, in bytes

### getSerialNumber

    public int getSerialNumber()

  Return the serial number of the volume, as allocated by the system during the formatting of the volume.

  Returns:
    the serial number of the volume

### getMaximumComponentSize

    public int getMaximumComponentSize()

  The maximum size supported by the file system for a single component (directory or filename).

  Returns:
    the maximum number of chars for a component

### getSystemFlags

    public int getSystemFlags()

  Return a combination of system flags supported by the filesystem.

  Returns:
    a combination of FILE_* constants

### getVolumeName

    public java.lang.String getVolumeName()

  If a name has been defined for the volume represented by this object, it is returned. Otherwise, an empty string is returned.

  Returns:
    a java.lang.String of the volume name

### getFileSystemName

    public java.lang.String getFileSystemName()

  The name of the filesystem installed on this drive

  Returns:
    a java.lang.String of the filesystem name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD